# Authentication

### Common Parameters

* **`start`**: The record to begin at.
  * Default: `0`
* **`limit`**: The number of records to return.
  * Default: `100`
  * Maximum: `1000`
* **`sort`**: How the records are sorted. See specific API calls for valid values.
* **`sort_desc`**: Set to `1` to sort in descending order.
  * Default: False

### Example

Responses that contain lists have the following generic format:

```
{
   request: {
      sort: 1,
      start: 100,          //if not 0
      asof: '2022-01-01',  //if specified in request
      target_filter: 'pci' //if specified in request
      target_count: 10,
   },
   pagination: {
      total: 1533,
      start: 100,
      limit 100
   },
   list: [
      {...},{...},{...}
   ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.trustedsite.com/docs/api/introduction/authentication.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
